Name:		vaspview
Summary:	VASP Data Viewer
Version:	1.05
Release:	7%{?dist}
# http://vaspview.sourceforge.net/%{name}-%{version}-source.tar.gz
# Source below is the same as the original sans the two Win32 binaries in Win32/Release/
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://vaspview.sourceforge.net/
License:	GPLv2+
Group:		Applications/Engineering
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires:	desktop-file-utils
BuildRequires:	glut-devel
BuildRequires:	libXi-devel
BuildRequires:	libXmu-devel
BuildRequires:	libXext-devel

%description
This is a scientific visualization package for examining output files
generated by the Vienna Ab-initio Simulation Package, a package for
performing ab-initio quantum-mechanical molecular dynamics using
pseudopotentials and a plane wave basis set. The project was initiated
when a chemical engineering professor requested assitance in visualizing
output files produced by the above package. It displays iso-surfaces and
slices of a three-dimensional data set, along with the atoms that make
up the molecule the calculations were performed for, and allows symbolic
bonds to be inserted between them.

%prep
%setup -q -n %{name}

%build
pushd src
%{__make} %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}/%{_bindir}
install -pm755 bin/%{name} %{buildroot}/%{_bindir}

install -d %{buildroot}%{_datadir}/applications
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	%{SOURCE1}

install -d %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
install -pm644 %{SOURCE2} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root)
%doc license.txt readme.txt
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png

%changelog
* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat May 31 2008 Dominik Mierzejewski <rpm@greysector.net> 1.05-2
- add dist tag
- drop vendor from desktop file name
- make smp flags optional
- removed the two Win32 binaries from source tarball

* Mon Apr 28 2008 Dominik Mierzejewski <rpm@greysector.net> 1.05-1
- initial package
